OIDC
Configure organization SSO
PUT
/
v1
/
orgs
/
{slug}
/
oidc
Configure organization SSO
curl --request PUT \
--url https://api.microsandbox.dev/v1/orgs/{slug}/oidc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "<string>",
"client_secret": "<string>",
"issuer_url": "<string>",
"allowed_domains": [
"<string>"
]
}
'import requests
url = "https://api.microsandbox.dev/v1/orgs/{slug}/oidc"
payload = {
"client_id": "<string>",
"client_secret": "<string>",
"issuer_url": "<string>",
"allowed_domains": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '<string>',
client_secret: '<string>',
issuer_url: '<string>',
allowed_domains: ['<string>']
})
};
fetch('https://api.microsandbox.dev/v1/orgs/{slug}/oidc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowed_domains": [
"<string>"
],
"client_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issuer_url": "<string>",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Personal access token (msb_pat_…) or session JWT - the credential an agent acts with on a user's behalf.
Path Parameters
Organization slug
Body
application/json
Response
OIDC config created or updated
Was this page helpful?
⌘I
Configure organization SSO
